Package twisted :: Package protocols :: Module basic :: Class Int16StringReceiver |
[show private | hide private]
[frames | no frames]

## Class Int16StringReceiver

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      Int16StringReceiver

A receiver for int16-prefixed strings.

An int16 string is a string prefixed by 2 bytes, the 16-bit length of the string encoded in network byte order.

This class publishes the same interface as NetstringReceiver.

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``dataReceived`(self, recd)` Convert int16 prefixed strings into calls to stringReceived.
| ``sendString`(self, data)` Send an int16-prefixed string to the other end of the connection.
| ``stringReceived`(self, msg)` Override this.

Class Variable Summary
`str` | `recvd`

Method Details

### dataReceived(self, recd) Convert int16 prefixed strings into calls to stringReceived.

### sendString(self, data) Send an int16-prefixed string to the other end of the connection.

### stringReceived(self, msg) Override this.

Class Variable Details

    ### recvd Type: `str` Value:
        ''

Generated by Epydoc 1.1 on Thu May 8 13:16:35 2003 | http://epydoc.sf.net